LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
List of all members
TabController Service Referencepublished

specifies a standard tab controller. More...

`import <TabController.idl;`

Inheritance diagram for TabController:

## Additional Inherited Members
Public Member Functions inherited from XTabController
void | setModel ([in] com::sun::star::awt::XTabControllerModel Model)
| sets the tab controller model.
com::sun::star::awt::XTabControllerModel | getModel ()
| returns the tab controller model.
void | setContainer ([in] com::sun::star::awt::XControlContainer Container)
| set the control container.
com::sun::star::awt::XControlContainer | getContainer ()
| returns the control container.
sequence< com::sun::star::awt::XControl > | getControls ()
| returns all controls of the control container.
void | autoTabOrder ()
| enables automatic tab order.
void | activateTabOrder ()
| activates tab order.
void | activateFirst ()
| sets the focus to the first control that can be reached with the TAB key.
void | activateLast ()
| sets the focus to the last control that can be reached with the TAB key.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

specifies a standard tab controller.

The documentation for this service was generated from the following file:

- com/sun/star/awt/TabController.idl